Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class EZGraphImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.analysis.EZGraphImpl

public class EZGraphImpl
extends BaseImpl
implements SwarmObject, SwarmObjectS, GUIComposite, GUICompositeS, EZGraphS, EZGraph

A class for easily create graphs.. This class allows the user to easily create graphs of various quantities in the model s/he is investigating. The user first creates the EZGraph, and then creates "Sequences"; (lines) which will appear in the graph. The sequences are generated based on data provided by a single object or a collection of target objects, in reponse to a specified selector. One of the features of the EZGraph is that it will automatically generate average, total, min, max and count sequences without the user having to mess with Averagers amd other low-level classes.

Constructor Summary
`EZGraphImpl()`
`EZGraphImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`EZGraphImpl(Zone aZone, boolean fileOutputFlag)` Convenience method for creating a non-graphical EZGraph, the filename is generated from the sequence name
`EZGraphImpl(Zone aZone, HDF5 hdf5Container, java.lang.String prefix)` Convenience method for creating a non-graphical EZGraph, inside of a HDF5 container.
`EZGraphImpl(Zone aZone, java.lang.String filename)` Convenience method for creating a non-graphical EZGraph, in this case, the filename is explicitly set by the user
`EZGraphImpl(Zone aZone, java.lang.String aTitle, java.lang.String xl, java.lang.String yl, java.lang.String windowGeometryRecordName)` Convenience method for creating `graphical' EZGraph instances
`EZGraphImpl(Zone aZone, java.lang.String aTitle, java.lang.String xl, java.lang.String yl, java.lang.String windowGeometryRecordName, boolean saveSizeFlag)`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.simtoolsgui.GUIComposite
`disableDestroyNotification, enableDestroyNotification$notificationMethod`

Methods implemented by this class for interface swarm.analysis.EZGraph
`createAverageSequence$withFeedFrom$andSelector, createCountSequence$withFeedFrom$andSelector, createMaxSequence$withFeedFrom$andSelector, createMinSequence$withFeedFrom$andSelector, createMovingAverageSequence$withFeedFrom$andSelector$andWidth, createMovingStdDevSequence$withFeedFrom$andSelector$andWidth, createMovingVarianceSequence$withFeedFrom$andSelector$andWidth, createSequence$withFeedFrom$andSelector, createStdDevSequence$withFeedFrom$andSelector, createTotalSequence$withFeedFrom$andSelector, createVarianceSequence$withFeedFrom$andSelector, dropSequence, getFileName, getGraph, getTitle, outputGraph, outputToFile, setRangesXMin$Max, setRangesYMin$Max, setScaleModeX$Y, step, update`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EZGraphImpl

    public EZGraphImpl()

### EZGraphImpl

    public EZGraphImpl(Zone aZone,
                       HDF5 hdf5Container,
                       java.lang.String prefix)

  Convenience method for creating a non-graphical EZGraph, inside of a HDF5 container.

### EZGraphImpl

    public EZGraphImpl(Zone aZone,
                       java.lang.String filename)

  Convenience method for creating a non-graphical EZGraph, in this case, the filename is explicitly set by the user

### EZGraphImpl

    public EZGraphImpl(Zone aZone,
                       boolean fileOutputFlag)

  Convenience method for creating a non-graphical EZGraph, the filename is generated from the sequence name

### EZGraphImpl

    public EZGraphImpl(Zone aZone,
                       java.lang.String aTitle,
                       java.lang.String xl,
                       java.lang.String yl,
                       java.lang.String windowGeometryRecordName)

  Convenience method for creating `graphical' EZGraph instances

### EZGraphImpl

    public EZGraphImpl(Zone aZone,
                       java.lang.String aTitle,
                       java.lang.String xl,
                       java.lang.String yl,
                       java.lang.String windowGeometryRecordName,
                       boolean saveSizeFlag)

### EZGraphImpl

    public EZGraphImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD